Summary:	Clients for remote access commands (rsh, rlogin, rcp)
Name:		rsh
Version:	0.17
Release:	%mkrel 39
License:	BSD
Group:		Networking/Remote access
URL:		ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source0:	ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rsh-%{version}.tar.gz
Source1:	rexec.pam
Source2:	rlogin.pam
Source3:	rsh.pam
Source4:	http://www.tc.cornell.edu/~sadd/rexec-1.5.tar.gz
Source5:	rsh@.service
Source6:	rsh.socket
Source7:	rlogin@.service
Source8:	rlogin.socket
Source9:	rexec@.service
Source10:	rexec.socket
Patch1:		netkit-rsh-0.17-sectty.patch
Patch2:		netkit-rsh-0.17-rexec.patch
Patch3:		netkit-rsh-0.10-stdarg.patch
Patch4:		netkit-rsh-0.16-jbj.patch
Patch8:		netkit-rsh-0.16-jbj4.patch
Patch9:		netkit-rsh-0.16-prompt.patch
Patch10:	netkit-rsh-0.16-rlogin=rsh.patch
Patch11:	netkit-rsh-0.16-nokrb.patch
Patch12:	netkit-rsh-0.17-pre20000412-jbj5.patch
Patch13:	netkit-rsh-0.17-userandhost.patch
Patch14:	netkit-rsh-0.17-strip.patch
Patch15:	netkit-rsh-0.17-lfs.patch
Patch16:	netkit-rsh-0.17-chdir.patch
Patch17:	netkit-rsh-0.17-pam-nologin.patch
Patch19:	netkit-rsh-0.17-rexec-netrc.patch
Patch20:	netkit-rsh-0.17-pam-sess.patch
Patch21:	netkit-rsh-0.17-errno.patch
Patch22:	netkit-rsh-0.17-rexec-sig.patch
Patch23:	netkit-rsh-0.17-nohost.patch
Patch24:	netkit-rsh-0.17-ignchld.patch
Patch25:	netkit-rsh-0.17-checkdir.patch
Patch26:	netkit-rsh-0.17-pam-conv.patch
Patch27:	netkit-rsh-0.17-rcp-largefile.patch
Patch28:	netkit-rsh-0.17-pam-rhost.patch
Patch29:	netkit-rsh-0.17-rlogin-linefeed.patch
Patch30:	netkit-rsh-0.17-ipv6.patch
Patch31:	netkit-rsh-0.17-pam_env.patch
Patch33:	netkit-rsh-0.17-dns.patch
Patch34:	netkit-rsh-0.17-nohostcheck-compat.patch
Patch35:	netkit-rsh-0.17-audit.patch
Patch36:	netkit-rsh-0.17-longname.patch
Patch37:	netkit-rsh-0.17-arg_max.patch
Patch38:	netkit-rsh-0.17-rh448904.patch
# (ahmad) check return value from close to catch errors on NFS filesystems
# https://bugzilla.redhat.com/show_bug.cgi?id=461903
Patch39:	netkit-rsh-0.17-rh461903.patch
# (ahmad) add check for return values
# https://bugzilla.redhat.com/show_bug.cgi?id=473492
Patch40:	netkit-rsh-0.17-rh473492.patch
Patch41:	netkit-rsh-0.17-rh650119.patch
Patch42:	netkit-rsh-0.17-rh710987.patch
Patch43:	netkit-rsh-0.17-rh784467.patch
Patch44:	netkit-rsh-0.17-rh896583.patch
Patch45:	netkit-rsh-0.17-rh947213.patch
Patch46:	0001-rshd-use-sockaddr_in-for-non-native-IPv6-clients.patch
Patch47:	0002-rlogind-use-sockaddr_in-for-non-native-IPv6-client.patch
Patch48:	netkit-rsh-0.17-ipv6-rexec.patch
Patch49:	0001-rshd-include-missing-header-file.patch
Patch50:	0001-rshd-use-upper-bound-for-cmdbuflen.patch   
Patch51:	0001-rcp-don-t-advance-pointer-returned-from-rcp_basename.patch
Patch52:	netkit-rsh-0.17-union-wait.patch
Patch53:	netkit-rsh-0.17-cmdbuflen.patch
Patch54:	netkit-rsh-0.17-CVE-2019-7282.patch
Patch55:	netkit-rsh-0.17-c99.patch
Patch56:	netkit-rsh-0.17-c99-2.patch
BuildRequires:	termcap-devel
BuildRequires:	pam-devel
BuildRequires:	audit-libs-devel >= 1.5
BuildRequires:	systemd
Conflicts:	krb5-appl-clients

%description
The rsh package contains a set of programs which allow users to run
commands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp).  All three of these commands
use rhosts style authentication.  This package contains the clients
needed for all of these services.
The rsh package should be installed to enable remote access to other
machines.

%package		server
Summary:		Servers for remote access commands (rsh, rlogin, rcp)
Group:			System/Servers
Requires:		pam >= 0.59
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description	server
The rsh-server package contains a set of programs which allow users
to run commands on remote machines, login to other machines and copy
files between machines (rsh, rlogin and rcp).  All three of these
commands use rhosts style authentication.  This package contains the
servers needed for all of these services.  It also contains a server
for rexec, an alternate method of executing remote commands.
All of these servers are run by systemd and configured using
systemd units and PAM.

The rsh-server package should be installed to enable remote access
from other machines.

%prep
%setup -q -n netkit-rsh-%{version} -a 4
%patch -P 1 -p1 -b .sectty
%patch -P 2 -p1 -b .rexec
%patch -P 3 -p1 -b .stdarg
%patch -P 4 -p1 -b .jbj
%patch -P 8 -p1 -b .jbj4
%patch -P 9 -p1 -b .prompt
%patch -P 10 -p1 -b .rsh
%patch -P 11 -p1 -b .rsh.nokrb
%patch -P 12 -p1 -b .jbj5
%patch -P 13 -p1 -b .userandhost
%patch -P 14 -p1 -b .strip
%patch -P 15 -p1 -b .lfs
%patch -P 16 -p1 -b .chdir
%patch -P 17 -p1 -b .pam-nologin
%patch -P 19 -p1 -b .rexec-netrc
%patch -P 20 -p1 -b .pam-sess
%patch -P 21 -p1 -b .errno
%patch -P 22 -p1 -b .rexec-sig
%patch -P 23 -p1 -b .nohost
%patch -P 24 -p1 -b .ignchld
%patch -P 25 -p1 -b .checkdir
%patch -P 26 -p1 -b .pam-conv
%patch -P 27 -p1 -b .largefile
%patch -P 28 -p1 -b .pam-rhost
%patch -P 29 -p1 -b .linefeed
%patch -P 30 -p1 -b .ipv6
%patch -P 31 -p1 -b .pam_env
%patch -P 33 -p1 -b .dns
%patch -P 34 -p1 -b .compat
%patch -P 35 -p1 -b .audit
%patch -P 36 -p1 -b .longname
%patch -P 37 -p1 -b .arg_max
%patch -P 38 -p1 -b .rh448904
%patch -P 39 -p1 -b .rh461903
%patch -P 40 -p1 -b .rh473492
%patch -P 41 -p1 -b .rh650119
%patch -P 42 -p1 -b .rh710987
%patch -P 43 -p1 -b .rh784467
%patch -P 44 -b .rh896583
%patch -P 45 -p1 -b .rh947213
%patch -P 46 -p1
%patch -P 47 -p1
%patch -P 48 -p1 -b .ipv6-rexec
%patch -P 49 -p1 -b .waitpid
%patch -P 50 -p1
%patch -P 51 -p1
%patch -P 52 -p1 -b .union-wait
%patch -P 53 -p1 -b .cmdbuflen
%patch -P 54 -p1 -b .cve-2019-7282
%patch -P 55 -p1 -b .c99
%patch -P 56 -p1 -b .c99-2

# No, I don't know what this is doing in the tarball.
rm -f rexec/rexec

%build
sh configure --with-c-compiler=%{__cc}
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%{__perl} -pi -e '
    s#^CC=.*$#CC=cc#;
    s#-O2#\$(RPM_OPT_FLAGS) -fpic -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE#;
    s#^LDFLAGS=#LDFLAGS=%{ldflags} -pie#;
    s#^BINDIR=.*$#BINDIR=%{_bindir}#;
    s#^MANDIR=.*$#MANDIR=%{_mandir}#;
    s#^SBINDIR=.*$#SBINDIR=%{_sbindir}#;
    ' MCONFIG

%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man{1,5,8}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d

%{make_install} INSTALLROOT=%{buildroot} BINDIR=%{_bindir} MANDIR=%{_mandir}

install -m 644 %SOURCE1 %{buildroot}%{_sysconfdir}/pam.d/rexec
install -m 644 %SOURCE2 %{buildroot}%{_sysconfdir}/pam.d/rlogin
install -m 644 %SOURCE3 %{buildroot}%{_sysconfdir}/pam.d/rsh

mkdir -p %{buildroot}%{_unitdir}
install -m644 %SOURCE5 %{buildroot}%{_unitdir}/rsh@.service
install -m644 %SOURCE6 %{buildroot}%{_unitdir}/rsh.socket
install -m644 %SOURCE7 %{buildroot}%{_unitdir}/rlogin@.service
install -m644 %SOURCE8 %{buildroot}%{_unitdir}/rlogin.socket
install -m644 %SOURCE9 %{buildroot}%{_unitdir}/rexec@.service
install -m644 %SOURCE10 %{buildroot}%{_unitdir}/rexec.socket

%post server
%systemd_post rsh.socket
%systemd_post rlogin.socket
%systemd_post rexec.socket

%preun server
%systemd_preun rsh.socket
%systemd_preun rlogin.socket
%systemd_preun rexec.socket

%postun server
%systemd_postun_with_restart rsh.socket
%systemd_postun_with_restart rlogin.socket
%systemd_postun_with_restart rexec.socket

%files
%doc README BUGS
%attr(0755,root,root) %caps(cap_net_bind_service=pe) %{_bindir}/rcp
%{_bindir}/rexec
%attr(0755,root,root) %caps(cap_net_bind_service=pe) %{_bindir}/rlogin
%attr(0755,root,root) %caps(cap_net_bind_service=pe) %{_bindir}/rsh
%{_mandir}/man1/*.1*

%files server
%config(noreplace) %{_sysconfdir}/pam.d/rsh
%config(noreplace) %{_sysconfdir}/pam.d/rlogin
%config(noreplace) %{_sysconfdir}/pam.d/rexec
%{_sbindir}/in.rexecd
%{_sbindir}/in.rlogind
%{_sbindir}/in.rshd
%{_unitdir}/*
%{_mandir}/man8/*.8*


%changelog
* Wed Nov 20 2024 ns80 <ns80> 0.17-39.mga10
+ Revision: 2117879
- sync with Fedora to try to fix building with GCC 14
- switch from xinetd to systemd

* Sun Mar 27 2022 umeabot <umeabot> 0.17-38.mga9
+ Revision: 1829289
- Mageia 9 Mass Rebuild

* Sat Nov 20 2021 ns80 <ns80> 0.17-37.mga9
+ Revision: 1758040
- adapt patch for CVE-2019-728[23] (mga#29675)

* Fri Feb 14 2020 umeabot <umeabot> 0.17-36.mga8
+ Revision: 1516630
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.17-35.mga7
+ Revision: 1300856
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.17-34.mga7
+ Revision: 1242464
- build with mga LDFLAGS
- add patch from OpenEmbedded to fix build with glibc >= 2.25

* Thu Feb 04 2016 umeabot <umeabot> 0.17-32.mga6
+ Revision: 935709
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.17-31.mga5
+ Revision: 739410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17-30.mga5
+ Revision: 688720
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-29.mga4
+ Revision: 518120
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.17-28.mga3
+ Revision: 380511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 0.17-27.mga1
+ Revision: 93859
- bump the rel to smoothen upgrades from mdv 2010.1

* Wed Jan 12 2011 blino <blino> 0.17-26.mga1
+ Revision: 6733
- imported package rsh


* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-26mdv2011.0
+ Revision: 560887
- drop alternative support, and fix conflict with kerberized versions (#60302)

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-25mdv2010.1
+ Revision: 519982
- rebuilt against audit-2 libs

* Wed Feb 03 2010 Michael Scherer <misc@mandriva.org> 0.17-24mdv2010.1
+ Revision: 500243
- add url for the patch

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - clean spec
    - Resync patch 31, 35 and 37 with Fedora (mdv bug #57379)
    - Fix rlogin.pam and rsh.pam, it's pam_rhosts.so now (from Fedora)
      (mdv bug #57379)
    - Add two new patches from Fedora

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.17-23mdv2010.0
+ Revision: 426962
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-22mdv2009.1
+ Revision: 316186
- rediffed one fuzzy patch

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.17-21mdv2009.0
+ Revision: 265653
- rebuild early 2009.0 package (before pixel changes)

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-20mdv2009.0
+ Revision: 207199
- sync with rsh-0.17-49.fc9.src.rpm
- fix the man pages (%%{_extension})
- fix deps (fixes #40600)

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-19mdv2008.1
+ Revision: 179477
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Tue Oct 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.17-18mdv2008.0
+ Revision: 94722
- fixed pam files for new include syntax (#34367)

* Wed Jun 27 2007 Adam Williamson <awilliamson@mandriva.org> 0.17-17mdv2008.0
+ Revision: 45195
- fix pam config (#31656)


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-16mdv2007.1
+ Revision: 145558
- Import rsh

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-16mdv2007.1
- use the %%mrel macro
- bunzip patches

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-15mdk
- rebuild for sparc

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.17-14mdk
- varargs fixes

